## ros-foxy-ros2bag 0.3.11

=== debian/changelog ===
ros-foxy-ros2bag (0.3.11-1focal) focal; urgency=high

  * [backport foxy] Add QoS decoding translation for infinite durations to RMW_DURATION_INFINITE (backport #684 <https://github.com/ros2/rosbag2/issues/684>) (#1088 <https://github.com/ros2/rosbag2/issues/1088>)
  * [foxy] Disable test_record_qos_profiles tests on Windows (#1349 <https://github.com/ros2/rosbag2/issues/1349>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-ros2bag (0.3.10-1focal) focal; urgency=high

  * Check & create database dirs before writing bags (#1133 <https://github.com/ros2/rosbag2/issues/1133>)
  * Contributors: Homalozoa X

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-ros2bag (0.3.9-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-ros2bag (0.3.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-ros2bag (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-ros2bag (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-ros2bag (0.3.5-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#446 <https://github.com/ros2/rosbag2/issues/446>) (#514 <https://github.com/ros2/rosbag2/issues/514>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-ros2bag (0.3.4-1focal) focal; urgency=high

  * Validate QoS profile values are not negative. (#483 <https://github.com/ros2/rosbag2/issues/483>) (#490 <https://github.com/ros2/rosbag2/issues/490>)
    Co-authored-by: Jesse Ikawa <mailto:64169356+jikawa-az@users.noreply.github.com>
  * Contributors: Devin Bonnie

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-ros2bag (0.3.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-ros2bag (0.3.2-1focal) focal; urgency=high

  * Improve help message for CLI verbs (#427 <https://github.com/ros2/rosbag2/issues/427>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-ros2bag (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-ros2bag (0.3.0-1focal) focal; urgency=high

  * Don't allow user to specify unimplemented compression mode 'message' (#415 <https://github.com/ros2/rosbag2/issues/415>)
  * Use consistent quotes in help messages (#416 <https://github.com/ros2/rosbag2/issues/416>)
  * Contributors: Dirk Thomas, Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-ros2bag (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-ros2bag (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-ros2bag (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-ros2bag (0.2.5-1focal) focal; urgency=high

  * add topic remapping option to rosbag2 play (#388 <https://github.com/ros2/rosbag2/issues/388>)
  * Add loop option to rosbag play (#361 <https://github.com/ros2/rosbag2/issues/361>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Override QoS Profiles in CLI - Playback (#356 <https://github.com/ros2/rosbag2/issues/356>)
  * Refactor utility functions in ros2bag (#358 <https://github.com/ros2/rosbag2/issues/358>)
  * Add QoS Profile override to CLI (#347 <https://github.com/ros2/rosbag2/issues/347>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * include hidden topics (#332 <https://github.com/ros2/rosbag2/issues/332>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Add playback rate command line arg (#304 <https://github.com/ros2/rosbag2/issues/304>)
  * [compression] Enable compression through ros2bag cli (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * switch to not deprecated API (#261 <https://github.com/ros2/rosbag2/issues/261>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Anas Abou Allaban, Dirk Thomas, Karsten Knese, Mabel Zhang, Sriram Raghunathan, Zachary Michaels, ketatam

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-foxy-ros2bag (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-ros2bag (0.2.3-1focal) focal; urgency=high

  * Add CLI option to expose option for bagfile splitting (#203 <https://github.com/ros2/rosbag2/issues/203>)
  * Contributors: Karsten Knese, Prajakta Gokhale

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 00:00:00 -0000

ros-foxy-ros2bag (0.2.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-ros2bag (0.2.1-1focal) focal; urgency=high

  * Fix flake8 errors and add missing lint tests. (#194 <https://github.com/ros2/rosbag2/issues/194>)
  * Import rosbag2_transport Python module on demand. (#190 <https://github.com/ros2/rosbag2/issues/190>)
  * Contributors: Michel Hidalgo, Thomas Moulard

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000


